@echo off
rem   -----------------------------------------------------------------
rem   Mit diesem Programm werden die deutschen Units-Verzeichnisse und 
rem   -dateien kopiert und mit den Original-Bezeichnungen versehen.
rem   Damit ist es mglich, englische und deutsche Scenarios zu spielen.
rem   
rem   Die Einheit "Panzer" ist in englisch und deutsch unterschiedlich
rem   belegt. Dafr habe ich zur Zeit keine Lsung. In englischen Sze-
rem   narien wird daher die Einheit "Panzer" angezeigt und nicht die
rem   Einheit "Deutscher Panzer", sorry.
rem
rem                         (c) Dez-2003 goethe            Version 1.02
rem   -----------------------------------------------------------------
rem	Frodon46 :
rem
rem	- Traduction du programme civ3d2us.bat en civ3fr2us.bat - 
rem
rem	j'ai fait de mon mieux pour traduire les commentaires
rem	en allemand qui sont utiliss dans la fentre DOS (cf. fin du 
rem	fichier). La langue de Goethe est une belle langue que je ne 
rem	matrise pas.
rem	Voici les commentaires originaux :
rem
rem	- Das Original-Verzeichnis \%artdir%\%D%\ existiert nicht.
rem	- Sie mssen dieses Programm im Civ3-Verzeichnis starten. Das Programm wird abgebrochen.
rem	- Das Verzeichnis %artdir% wurde nicht gefunden. Das Programm wird abgebrochen.
rem	- Alle Verzeichnisse wurden erzeugt, alle bentigten Dateien angelegt. 
rem	- Ausgenommen sind die Flle, bei denen die Originalverzeichnisse nicht vorhanden waren.
rem
rem	
rem   -----------------------------------------------------------------

set artdir=art\units


rem   -----------------------------------------------------------------
rem                                           Test auf Startverzeichnis
rem   -----------------------------------------------------------------

IF NOT EXIST "civilization3.exe" GOTO KEIN_CIVDIR


rem   -----------------------------------------------------------------
rem                                      Wechseln ins Units-Verzeichnis
rem   -----------------------------------------------------------------

IF NOT EXIST "%artdir%\units_32.pcx" GOTO KEIN_UNITS
cd "%artdir%"


rem   -----------------------------------------------------------------
rem                                              (1) Croiseurs AEGIS
rem   -----------------------------------------------------------------

:V1
SET  E=Aegis Cruiser
SET  D=Croiseurs AEGIS
SET  V=V2
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                  (2) Artillerie
rem   -----------------------------------------------------------------

:V2
SET E=Artillery
SET D=Artillerie
SET V=V3
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                        (3) Sous-marins nuclaires
rem   -----------------------------------------------------------------

:V3
SET E=Nuclear Submarine
SET D=Sous-marins nuclaires
SET V=V4
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                           (4) Archers babyloniens
rem   -----------------------------------------------------------------

:V4
SET E=Bowman
SET D=Archers babyloniens
SET V=V5
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                  (5) Travailleurs
rem   -----------------------------------------------------------------

:V5
SET E=Worker
SET D=Travailleurs
SET V=V6
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                (6) Travailleurs Epoque industrielle
rem   -----------------------------------------------------------------

:V6
SET E=Worker Industrial Ages
SET D=Travailleurs Epoque industrielle
SET V=V7
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                    (7) Travailleurs Epoque moderne
rem   -----------------------------------------------------------------

:V7
SET E=Worker Modern Times
SET D=Travailleurs Epoque moderne
SET V=V8
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                           (8) Guerriers  cheval
rem   -----------------------------------------------------------------

:V8
SET E=Mounted Warrior
SET D=Guerriers  cheval
SET V=V9
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                    (9) Archers
rem   -----------------------------------------------------------------

:V9
SET E=Archer
SET D=Archers
SET V=V10
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                        (10) Chasseurs  raction
rem   -----------------------------------------------------------------

:V10
SET E=Jet Fighter
SET D=Chasseurs  raction
SET V=V11
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                (11) Parachutistes
rem   -----------------------------------------------------------------

:V11
SET E=Paratrooper
SET D=Parachutistes
SET V=V12
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                 (12) Porte-avions
rem   -----------------------------------------------------------------

:V12
SET E=Carrier
SET D=Porte-avions
SET V=V13
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                        	(13) Mousquetaires
rem   -----------------------------------------------------------------

:V13
SET E=Musketeer
SET D=Mousquetaires
SET V=V14
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                       (14) Frgates
rem   -----------------------------------------------------------------

:V14
SET E=Frigate
SET D=Frgates
SET V=V15
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                     (15) Corsaires
rem   -----------------------------------------------------------------

:V15
SET E=Privateer
SET D=Corsaires
SET V=V16
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                        (16) Galions
rem   -----------------------------------------------------------------

:V16
SET E=Galleon
SET D=Galions
SET V=V17
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                       (17) Hoplites
rem   -----------------------------------------------------------------

:V17
SET E=Hoplite
SET D=Hoplites
SET V=V18
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                   (18) Hlicoptres
rem   -----------------------------------------------------------------

:V18
SET E=Helicopter
SET D=Hlicoptres
SET V=V19
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                     (19) Infanterie
rem   -----------------------------------------------------------------

:V19
SET E=Infantry
SET D=Infanterie
SET V=V20
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                         		(20) ICBM
rem   -----------------------------------------------------------------

:V20
SET E=ICBM
SET D=ICBM
SET V=V21
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                   (21) Chasseurs
rem   -----------------------------------------------------------------

:V21
SET E=Fighter
SET D=Chasseurs
SET V=V22
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                              (22) Guerriers Jaguar
rem   -----------------------------------------------------------------

:V22
SET E=Jaguar Warrior
SET D=Guerriers Jaguar
SET V=V23
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                (23) Chars modernes
rem   -----------------------------------------------------------------

:V23
SET E=Modern Armor
SET D=Chars modernes
SET V=V24
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                         (24) Canons
rem   -----------------------------------------------------------------

:V24
SET E=cannon
SET D=Canons
SET V=V25
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                    (25) Caravelles
rem   -----------------------------------------------------------------

:V25
SET E=Caravel
SET D=Caravelles
SET V=V26
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                     (26) Catapultes
rem   -----------------------------------------------------------------

:V26
SET E=Catapult
SET D=Catapultes
SET V=V27
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                     (27) Cavalerie
rem   -----------------------------------------------------------------

:V27
SET E=Cavalry
SET D=Cavalerie
SET V=V28
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                              (28) Hros Antiquit
rem   -----------------------------------------------------------------

:V28
SET E=LEADER ANCIENT TIMES
SET D=Hros Antiquit
SET V=V29
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                             	(29) Hros Epoque industrielle
rem   -----------------------------------------------------------------

:V29
SET E=LEADER INDUSTRIAL AGES
SET D=Hros Epoque industrielle
SET V=V30
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                         (30) Hros Moyen Age
rem   -----------------------------------------------------------------

:V30
SET E=Leader Middle Ages
SET D=Hros Moyen Age
SET V=V31
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                           (31) Hros Epoque moderne
rem   -----------------------------------------------------------------

:V31
SET E=LEADER MODERN TIMES
SET D=Hros Epoque moderne
SET V=V32
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                      (32) Guerriers
rem   -----------------------------------------------------------------

:V32
SET E=warrior
SET D=Guerriers
SET V=V33
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                           (33) Elphants de guerre
rem   -----------------------------------------------------------------

:V33
SET E=War Elephant
SET D=Elphants de guerre
SET V=V34
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                            (34) Cuirasss modernes
rem   -----------------------------------------------------------------

:V34
SET E=Battleship
SET D=Cuirasss modernes
SET V=V35
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                              (35) Chars de guerre
rem   -----------------------------------------------------------------

:V35
SET E=War Chariot
SET D=Chars de guerre
SET V=V36
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                              (36) Immortels
rem   -----------------------------------------------------------------

:V36
SET E=Immortals
SET D=Immortels
SET V=V37
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                   (37) Explorateurs
rem   -----------------------------------------------------------------

:V37
SET E=Explorer
SET D=Explorateurs
SET V=V38
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                               (38) Archers longs
rem   -----------------------------------------------------------------

:V38
SET E=Longbowman
SET D=Archers longs
SET V=V39
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                  (39) Lanciers
rem   -----------------------------------------------------------------

:V39
SET E=Spearman
SET D=Lanciers
SET V=V40
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                   (40) Lgionnaires
rem   -----------------------------------------------------------------

:V40
SET E=Legionary
SET D=Lgionnaires
SET V=V41
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                              (41) Marines
rem   -----------------------------------------------------------------

:V41
SET E=Marine
SET D=Marines
SET V=V42
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                       (42) Infanterie mcanise
rem   -----------------------------------------------------------------

:V42
SET E=Mech Infantry
SET D=Infanterie mcanise
SET V=V43
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                   (43) Arquebusiers
rem   -----------------------------------------------------------------

:V43
SET E=Musketman
SET D=Arquebusiers
SET V=V44
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                             (44) Nuclaire tactique
rem   -----------------------------------------------------------------

:V44
SET E=Tactical Nuke
SET D=Nuclaire tactique
SET V=V44B
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                               (44B) Chars d'assaut
rem   -----------------------------------------------------------------

:V44B
SET E=Tank
SET D=Chars d'assaut
SET V=V45
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                             (45) Cuirasss  vapeur
rem   -----------------------------------------------------------------

:V45
SET E=Ironclad
SET D=Cuirasss  vapeur
SET V=V46
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                       (46) Piquiers
rem   -----------------------------------------------------------------

:V46
SET E=Pikeman
SET D=Piquiers
SET V=V47
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                              (47) Artillerie radar
rem   -----------------------------------------------------------------

:V47
SET E=Radar Artillery
SET D=Artillerie radar
SET V=V48
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                     (48) Cavaliers
rem   -----------------------------------------------------------------

:V48
SET E=Horseman
SET D=Cavaliers
SET V=V49
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                    (49) Chevaliers
rem   -----------------------------------------------------------------

:V49
SET E=Knight
SET D=Chevaliers
SET V=V50
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                            (50) Vaisseaux de ligne
rem   -----------------------------------------------------------------

:V50
SET E=Man-O-War
SET D=Vaisseaux de ligne
SET V=V51
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                     (51) Fusiliers
rem   -----------------------------------------------------------------

:V51
SET E=Rifleman
SET D=Fusiliers
SET V=V52
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                 (52) Epistes
rem   -----------------------------------------------------------------

:V52
SET E=Swordsman
SET D=Epistes
SET V=V53
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                        (53) Colons
rem   -----------------------------------------------------------------

:V53
SET E=Settler
SET D=Colons
SET V=V54
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                (54) Colons Epoque industrielle
rem   -----------------------------------------------------------------

:V54
SET E=Settler Industrial Ages
SET D=Colons Epoque industrielle
SET V=V55
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                          (55) Colons Epoque moderne
rem   -----------------------------------------------------------------

:V55
SET E=SETTLER MODERN TIMES
SET D=Colons Epoque moderne
SET V=V56
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                   (56) Eclaireurs
rem   -----------------------------------------------------------------

:V56
SET E=Scout
SET D=Eclaireurs
SET V=V57
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                          (57) Bombardiers furtifs
rem   -----------------------------------------------------------------

:V57
SET E=Stealth Bomber
SET D=Bombardiers furtifs
SET V=V58
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                           (58) Chasseurs furtifs
rem   -----------------------------------------------------------------

:V58
SET E=Stealth Fighter
SET D=Chasseurs furtifs
SET V=V59
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                           (59) Combattants  cheval
rem   -----------------------------------------------------------------

:V59
SET E=Rider
SET D=Combattants  cheval
SET V=V60
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                 (60) Chars antiques
rem   -----------------------------------------------------------------

:V60
SET E=chariot
SET D=Chars antiques
SET V=V61
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                (61) Transport
rem   -----------------------------------------------------------------

:V61
SET E=Transport
SET D=Transport
SET V=V62
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                       (62) Galres
rem   -----------------------------------------------------------------

:V62
SET E=Galley
SET D=Galres
SET V=V63
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                          (63) Arme Antiquit
rem   -----------------------------------------------------------------

:V63
SET E=ARMY ANCIENT TIMES
SET D=Arme Antiquit
SET V=V64
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                         (64) Arme Epoque industrielle
rem   -----------------------------------------------------------------

:V64
SET E=ARMY INDUSTRIAL AGES
SET D=Arme Epoque industrielle
SET V=V65
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                     (65) Arme Moyen Age
rem   -----------------------------------------------------------------

:V65
SET E=ARMY MIDDLE AGES
SET D=Arme Moyen Age
SET V=V66
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                         (66) Arme Epoque moderne
rem   -----------------------------------------------------------------

:V66
SET E=ARMY MODERN TIMES
SET D=Arme Epoque moderne
SET V=V67
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                  (67) Sous-marins
rem   -----------------------------------------------------------------

:V67
SET E=Submarine
SET D=Sous-marins
SET V=V68
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                    (68) Destroyers
rem   -----------------------------------------------------------------

:V68
SET E=Destroyer
SET D=Destroyers
SET V=V69
goto KOPIEREN



rem   -----------------------------------------------------------------
rem                                                    (69) Panzers
rem   -----------------------------------------------------------------

:V69
SET E=Panzer
SET D=Panzers
SET V=V70
goto KOPIEREN




rem   -----------------------------------------------------------------
rem                                                    (70) Samouras
rem   -----------------------------------------------------------------

:V70
SET E=Samurai
SET D=Samouras
SET V=V71
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                    (71) Impis
rem   -----------------------------------------------------------------

:V71
SET E=Impi
SET D=Impis
SET V=V72
goto KOPIEREN



rem   -----------------------------------------------------------------
rem                                        (72) Missiles de croisire
rem   -----------------------------------------------------------------

:V72
SET E=Cruise Missile
SET D=Missiles de croisire
SET V=V73
goto KOPIEREN



rem   -----------------------------------------------------------------
rem                                        (73) Bombardiers
rem   -----------------------------------------------------------------

:V73
SET E=Bomber
SET D=Bombardiers
SET V=V74
goto KOPIEREN



rem   -----------------------------------------------------------------
rem                                                      (74) Cosaques
rem   -----------------------------------------------------------------

:V74
SET E=Cossack
SET D=Cosaques
SET V=FERTIG
goto KOPIEREN




rem   -----------------------------------------------------------------
rem                                                       Kopierroutine
rem   -----------------------------------------------------------------

:KOPIEREN
IF NOT EXIST "%D%\%D%.ini" GOTO ORG_FEHLT
md "%E%" > NUL
copy /y "%D%\*.wav"   "%E%\*.*"     > NUL
copy /y "%D%\*.amb"   "%E%\*.*"     > NUL
copy /y "%D%\*.flc"   "%E%\*.*"     > NUL
copy /y "%D%\%D%.ini" "%E%\%E%.ini" > NUL
echo --ok--: %D%
goto %V%


rem   -----------------------------------------------------------------
rem                                                      Fehlerroutinen
rem   -----------------------------------------------------------------

:ORG_FEHLT
echo FEHLER: Le rpertoire original \%artdir%\%D%\ n'existe pas.
goto %V%

rem   ----------

:KEIN_CIVDIR
echo FEHLER: Vous devez dmarrer ce programme dans le dossier Civilization III. Ce programme va s'arrter.
goto ende

rem   ----------

:KEIN_UNITS
echo FEHLER: Le rpertoire %artdir% n'a pas t trouv. Ce programme va s'arrter.
goto ende


rem   -----------------------------------------------------------------
rem                                                              FERTIG
rem   -----------------------------------------------------------------

:FERTIG
echo FERTIG: Tous les rpertoires et les fichiers ont t crs.
echo FERTIG: La version originale n'est plus disponible.
goto ende


rem   -----------------------------------------------------------------
rem                                                                Ende
rem   -----------------------------------------------------------------

:ende
SET E=
SET D=
SET V=
set artdir=
exit
